Summary:	A libpq-based PostgreSQL interface for Perl
%{?perl_default_filter}

Name:		perl-Pg
Version:	2.1.1
Release:	%mkrel 37
License:	GPL
Group:		Development/Perl
Source0:	Pg-%{version}.tar.bz2
URL:		http://gborg.postgresql.org/project/pgperl/projdisplay.php
BuildRequires:	perl-devel
BuildRequires:	postgresql-devel
BuildRequires:	postgresql-libs-devel


%description
pgperl is an interface between Perl and PostgreSQL. This uses the
Perl5 API for C extensions to call the PostgreSQL libpq interface.
Unlike DBD:pg, pgperl tries to implement the libpq interface as
closely as possible.

You have a choice between two different interfaces: the old
C-style interface and a new one, using a more Perl-ish style. The
old style has the benefit that existing libpq applications can
easily be ported to perl. The new style uses class packages and
might be more familiar to C++ programmers.

%prep
%setup -q -n Pg-%{version}
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
export POSTGRES_INCLUDE=`pg_config --includedir`
export POSTGRES_LIB=`pg_config --libdir`
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
# make test needs a running PostgreSQL server
#%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/*/Pg/Pg.so
%{perl_vendorarch}/*/Pg/autosplit.ix
%{perl_vendorarch}/Pg.pm
%{_mandir}/man3*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.1.1-37.mga10
+ Revision: 2226233
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 2.1.1-36.mga10
+ Revision: 2088202
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 2.1.1-35.mga10
+ Revision: 2011274
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.1.1-34.mga9
+ Revision: 1863429
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.1.1-33.mga9
+ Revision: 1796304
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.1.1-32.mga9
+ Revision: 1727887
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 2.1.1-31.mga8
+ Revision: 1595661
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 2.1.1-30.mga8
+ Revision: 1530015
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 2.1.1-29.mga8
+ Revision: 1433876
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.1.1-28.mga7
+ Revision: 1293658
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.1.1-27.mga7
+ Revision: 1250434
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 2.1.1-26.mga7
+ Revision: 1166221
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.1.1-25.mga7
+ Revision: 1149109
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.1.1-24.mga7
+ Revision: 1126767
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.1.1-23.mga6
+ Revision: 1032036
- Rebuild for perl 5.22.2

* Sun Feb 28 2016 oden <oden> 2.1.1-22.mga6
+ Revision: 980343
- rebuilt for postgresql 9.5.x

* Fri Feb 12 2016 umeabot <umeabot> 2.1.1-21.mga6
+ Revision: 957886
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.1.1-20.mga6
+ Revision: 845135
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 2.1.1-19.mga6
+ Revision: 841788
- Rebuild for perl 5.22

* Tue Nov 25 2014 cjw <cjw> 2.1.1-18.mga5
+ Revision: 798925
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-17.mga5
+ Revision: 739139
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-16.mga5
+ Revision: 685969
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.1.1-15.mga5
+ Revision: 631605
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.1.1-14.mga4
+ Revision: 525038
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.1.1-13.mga4
+ Revision: 431735
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.1.1-12.mga3
+ Revision: 371797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.1.1-11.mga3
+ Revision: 251073
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 2.1.1-10.mga2
+ Revision: 104918
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.1.1-9.mga1
+ Revision: 31049
- mageia rebuild
- imported package perl-Pg


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.1.1-9mdv2011.0
+ Revision: 564575
- rebuild for perl 5.12.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.1.1-8mdv2010.1
+ Revision: 426568
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.1.1-7mdv2009.0
+ Revision: 223967
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.1.1-6mdv2008.1
+ Revision: 152233
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Feb 17 2007 Olivier Thauvin <nanardon@mandriva.org> 2.1.1-5mdv2007.0
+ Revision: 122058
- rebuild

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.1-4mdv2007.0
+ Revision: 53870
- rebuild && %%mkrel
- Import perl-Pg

* Tue May 02 2006 Stefan van der Eijk <stefan@eijk.nu> 2.1.1-3mdk
-_rebuild_for_sparc

* Wed May 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.1-2mdk
- Rebuild for postgresql-devel 8.0.2

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.1.1-1mdk
- New version 2.1.1.

